<script>
    function addRemoveArticle(option, input) {
        var inputQte =  $(input).parent().find('.qteArticle');

        var nbArticle = $(inputQte).val();
        if (option == 'add') {
            nbArticle++;
        } else {
            if (nbArticle > 0) {
                nbArticle--;
            }
        }
        $(inputQte).val(formatNombre(nbArticle, ' ')).change();
        triggerChangeEvent(inputQte.get(0));
    }

    function qteChange(path, idInput) {
        var input = '#'+idInput;

        $.ajax({
            url: path,
            type: 'POST',
            dataType: 'html',
            data: {'qte' : $(input).val()},
            success: function (content) {
                $(input).attr('data-oldvalue', $(input).val());
                var data = jQuery.parseJSON(content);

                var entete = data.infoEntete;
                $('#zone_mntEntete').html(entete.montant);
                $('#zone_ligneCount').html(entete.nombreLigne);
                $('#montantPanier').html(entete.montant);

                $('#ligneSub').html(entete.nombreLigne);
                $('#montantSub').html(entete.montant);

                var obj = data.listeArticle;
                $.each( obj, function( key, value ) {
                    var idLigne = value.idLig;
                    var PU = value.PU;
                    var montant = value.montant;
                    var newQte = value.qte;

                    $('#article_'+idLigne).val(newQte);  
                    $('#td_pu'+idLigne).html(PU);
                    $('#td_montant'+idLigne).html(montant);   
                    

                    var ligneAvecCde = $('#ligne'+idLigne).data('ligne-cde');
                    var critere = $('#ligne'+idLigne).data('critere');
                    if (newQte == 0 && ligneAvecCde == '') {
                        $('#ligne'+idLigne).remove();
                        $('#ligne'+idLigne+'detail').remove();
                        
                        if ($('#table'+critere+' tbody tr').length == 0) {
                            $('#blocFrs__'+critere).remove();
                        }
                    }
                });

                if (data.refresh) {
                    refrechDiv('{{ path('Panier.Panier.index') }}', 'zoneLigne');
                } else {
                    var listeCritere = data.listeCritere;

                    $.each( listeCritere, function( key, value ) {
                        $('#montant'+key).html(value.montant);
                        $('#montant_annexes'+key).html(value.montantAnnexes);    
                    })
                }
            },
            error: function (data){
                $(input).val($(input).data('oldvalue'));
                desactiveLoader();

                if (data.status == '500') {
                    alert('{{ 'Une erreur est survenue.' | trad }}');
                } else {
                    $("#modal-content").addClass("modal_small");
                    $("#modal-body").html(data.responseText);

                    activePopup();
                }
            }
        });
    }
</script>